Task Types

Retrieve available task type definitions. Task types define work activities that can be tracked on consignments.

Endpoints Overview

Method Endpoint Description
GET /v1/task-types Get a page of task types

Get Task Types Page

Retrieve a paginated list of task types.

Endpoint: GET /v1/task-types

Query Parameters

Parameter Type Required Description
PageIndex integer No Page number (default: 1)
PageSize integer No Items per page (default: 25, max: 500)
SearchText string No Filter by task type name

Request Example

curl -X GET "https://api.consignlyhq.com/v1/task-types?PageIndex=1&PageSize=50" \
  -H "Authorization: Bearer ACCESS_TOKEN"

Response Example

{
  "index": 1,
  "total": 8,
  "taskTypes": [
    {
      "id": "550e8400-e29b-41d4-a716-446655449500",
      "name": "Restack"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655449501",
      "name": "Relabel"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655449502",
      "name": "Quality Check"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655449503",
      "name": "Repack"
    },
    {
      "id": "550e8400-e29b-41d4-a716-446655449504",
      "name": "Inspection"
    }
  ]
}

Response Fields

Field Type Description
id uuid Task type ID
name string Task type name